package boshclient

import (
	"fmt"
	"net/http"
)

func (c *Client) DeleteDeployment(name string) (int, error) {
	req, err := http.NewRequest("DELETE", fmt.Sprintf("%s/deployments/%s", c.boshURL, name), nil)
	if err != nil {
		return 0, err
	}

	authHeader, err := c.authHeaderBuilder.Build()
	if err != nil {
		return 0, err
	}

	req.Header.Set("Authorization", authHeader)

	resp, err := c.HTTPClient.Do(req)
	if err != nil {
		return 0, err
	}

	return taskIDFromRedirect(resp)
}
